> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/korean/development/api-reference/classes/boolvalue.md).

# BoolValue

BoolValue : `ValueBase`

## Overview

boolean 값을 보관하기 위해 사용되는 인스턴스입니다. 서버에서 설정한 값은 클라이언트로 자동 복제되며, 이를 활용하면 RemoteEvent를 사용하지 않고도 스크립트 간 통신이 가능합니다.

## Properties

### Value

`bool`

보관할 boolean 값을 설정할 수 있습니다.

#### Code Samples

```lua
local SomeValue = Instance.new("BoolValue")
SomeValue.Name = "SomeValue"
SomeValue.Parent = game.Workspace

SomeValue.Value = true
```

## Methods

## Events

### Changed

값이 변경될 때마다 이벤트가 호출됩니다.

#### Parameters

| `boolean` value | 변경된 값입니다. |
| --------------- | --------- |

#### Code Samples

```lua
local function OnChanged(value)
    print(SomeValue.Name, ": ", value)
end
SomeValue.Changed:Connect(OnChanged)
```

## See also

{% content-ref url="/pages/MXQ5jvQ0khQw9Bvd23c7" %}
[값 관리](/korean/manual/script-manual/value-management.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/classes/boolvalue.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
